petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetMaxSteps

Gets the maximum number of steps to use.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetMaxSteps(TS ts,PetscInt *maxsteps)

Not Collective

### Input Parameters

ts -the TS context obtained from TSCreate()

### Output Parameter

maxsteps -maximum number of steps to use

### Keywords

TS, timestep, get, maximum, steps

### See Also

TSSetMaxSteps(), TSGetMaxTime(), TSSetMaxTime()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages